/* LocaleInformation_en.java --
   Copyright (C) 2004  Free Software Foundation, Inc.

This file is part of GNU Classpath.

GNU Classpath is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Classpath is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Classpath; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version. */


// This file was automatically generated by gnu.localegen from LDML

package gnu.java.locale;

import java.util.ListResourceBundle;

public class LocaleInformation_en extends ListResourceBundle
{
  private static final String collation_rules = 
  "<0<1<2<3<4<5<6<7<8<9<A,a<b,B<c,C<d,D<e,E<f,F<g,G<h,H<i,I<j,J<k,K" +
  "<l,L<m,M<n,N<o,O<p,P<q,Q<r,R<s,S<t,T<u,U<v,V<w,W<x,X<y,Y<z,Z";

  private static final String[] shortMonths = {
    "Jan",
    "Feb",
    "Mar",
    "Apr",
    "May",
    "Jun",
    "Jul",
    "Aug",
    "Sep",
    "Oct",
    "Nov",
    "Dec",
    null,
  };

  private static final String[] months = {
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December",
    null,
  };

  private static final String[] shortWeekdays = {
    null,
    "Sun",
    "Mon",
    "Tue",
    "Wed",
    "Thu",
    "Fri",
    "Sat",
  };

  private static final String[] weekdays = {
    null,
    "Sunday",
    "Monday",
    "Tuesday",
    "Wednesday",
    "Thursday",
    "Friday",
    "Saturday",
  };

  private static final String[] ampms = { "AM", "PM" };

  private static final String[] eras = {
    "BC",
    "AD",
  };

  private static final String[][] zoneStrings =
  {
    { "GMT", "Greenwich Mean Time", "GMT",
      /**/   "Greenwich Mean Time", "GMT", "GMT" },
    { "PST", "Pacific Standard Time", "PST",
      /**/   "Pacific Daylight Time", "PDT", "San Francisco" },
    { "MST", "Mountain Standard Time", "MST",
      /**/   "Mountain Daylight Time", "MDT", "Denver" },
    { "PNT", "Mountain Standard Time", "MST",
      /**/   "Mountain Standard Time", "MST", "Phoenix" },
    { "CST", "Central Standard Time", "CST",
      /**/   "Central Daylight Time", "CDT", "Chicago" },
    { "EST", "Eastern Standard Time", "EST",
      /**/   "Eastern Daylight Time", "EDT", "Boston" },
    { "IET", "Eastern Standard Time", "EST",
      /**/   "Eastern Standard Time", "EST", "Indianapolis" },
    { "PRT", "Atlantic Standard Time", "AST",
      /**/   "Atlantic Daylight Time", "ADT", "Halifax" },
    { "CNT", "Newfoundland Standard Time", "NST",
      /**/   "Newfoundland Daylight Time", "NDT", "St. Johns" },
    { "ECT", "Central European Standard Time", "CET",
      /**/   "Central European Daylight Time", "CEST", "Paris" },
    { "CTT", "China Standard Time", "CST",
      /**/   "China Standard Time", "CST", "Shanghai" },
    { "JST", "Japan Standard Time", "JST",
      /**/   "Japan Standard Time", "JST", "Tokyo" },
    { "HST", "Hawaii Standard Time", "HST",
      /**/   "Hawaii Standard Time", "HST", "Honolulu" },
    { "AST", "Alaska Standard Time", "AKST",
      /**/   "Alaska Daylight Time", "AKDT", "Anchorage" }
  };

  private static final class Hashtableterritories extends java.util.Hashtable
  {
    public Hashtableterritories()
      {
        super();
        put("GY", "Guyana");
        put("GW", "Guinea-Bissau");
        put("GU", "Guam");
        put("GT", "Guatemala");
        put("GS", "South Georgia and the South Sandwich Islands");
        put("GR", "Greece");
        put("GQ", "Equatorial Guinea");
        put("GP", "Guadeloupe");
        put("GN", "Guinea");
        put("GM", "Gambia");
        put("GL", "Greenland");
        put("GI", "Gibraltar");
        put("GH", "Ghana");
        put("GF", "French Guiana");
        put("GE", "Georgia");
        put("GD", "Grenada");
        put("GB", "United Kingdom");
        put("GA", "Gabon");
        put("FX", "Metropolitan France");
        put("FR", "France");
        put("FQ", "French Southern and Antarctic Territories");
        put("FO", "Faroe Islands");
        put("FM", "Micronesia");
        put("FK", "Falkland Islands");
        put("FJ", "Fiji");
        put("FI", "Finland");
        put("ET", "Ethiopia");
        put("ES", "Spain");
        put("ER", "Eritrea");
        put("EH", "Western Sahara");
        put("EG", "Egypt");
        put("EE", "Estonia");
        put("EC", "Ecuador");
        put("DZ", "Algeria");
        put("DY", "Benin");
        put("DO", "Dominican Republic");
        put("DM", "Dominica");
        put("DK", "Denmark");
        put("DJ", "Djibouti");
        put("DE", "Germany");
        put("DD", "East Germany");
        put("CZ", "Czech Republic");
        put("CY", "Cyprus");
        put("CX", "Christmas Island");
        put("CV", "Cape Verde");
        put("CU", "Cuba");
        put("CT", "Canton and Enderbury Islands");
        put("CS", "Czechoslovakia");
        put("CR", "Costa Rica");
        put("CO", "Colombia");
        put("CN", "China");
        put("CM", "Cameroon");
        put("CL", "Chile");
        put("CK", "Cook Islands");
        put("CI", "C\u00f4te d\u2019Ivoire");
        put("CH", "Switzerland");
        put("CG", "Congo");
        put("CF", "Central African Republic");
        put("CD", "Democratic Republic of the Congo");
        put("CC", "Cocos (Keeling) Islands");
        put("CA", "Canada");
        put("BZ", "Belize");
        put("BY", "Belarus");
        put("BW", "Botswana");
        put("BV", "Bouvet Island");
        put("BU", "Myanmar");
        put("BT", "Bhutan");
        put("BS", "Bahamas");
        put("BR", "Brazil");
        put("BQ", "British Antarctic Territory");
        put("BO", "Bolivia");
        put("BN", "Brunei");
        put("BM", "Bermuda");
        put("BJ", "Benin");
        put("BI", "Burundi");
        put("BH", "Bahrain");
        put("BG", "Bulgaria");
        put("BF", "Burkina Faso");
        put("BE", "Belgium");
        put("BD", "Bangladesh");
        put("ZZ", "Outlying Oceania");
        put("BB", "Barbados");
        put("BA", "Bosnia and Herzegovina");
        put("ZW", "Zimbabwe");
        put("ZR", "Congo, The Democratic Republic of the");
        put("AZ", "Azerbaijan");
        put("AX", "Aland Islands");
        put("AW", "Aruba");
        put("ZM", "Zambia");
        put("AU", "Australia");
        put("AT", "Austria");
        put("AS", "American Samoa");
        put("AR", "Argentina");
        put("AQ", "Antarctica");
        put("AO", "Angola");
        put("AN", "Netherlands Antilles");
        put("AM", "Armenia");
        put("AL", "Albania");
        put("ZA", "South Africa");
        put("AI", "Anguilla");
        put("AG", "Antigua and Barbuda");
        put("AF", "Afghanistan");
        put("AE", "United Arab Emirates");
        put("AD", "Andorra");
        put("YU", "Serbia and Montenegro");
        put("YT", "Mayotte");
        put("YE", "Yemen");
        put("YD", "People's Democratic Republic of Yemen");
        put("172", "Commonwealth of Independent States");
        put("WS", "Samoa");
        put("WK", "Wake Island");
        put("WF", "Wallis and Futuna");
        put("155", "Western Europe");
        put("154", "Northern Europe");
        put("151", "Eastern Europe");
        put("150", "Europe");
        put("VU", "Vanuatu");
        put("VN", "Vietnam");
        put("VI", "U.S. Virgin Islands");
        put("VG", "British Virgin Islands");
        put("VE", "Venezuela");
        put("145", "Western Asia");
        put("VD", "North Vietnam");
        put("VC", "Saint Vincent and the Grenadines");
        put("142", "Asia");
        put("VA", "Vatican");
        put("UZ", "Uzbekistan");
        put("UY", "Uruguay");
        put("US", "United States");
        put("UM", "United States Minor Outlying Islands");
        put("UG", "Uganda");
        put("UA", "Ukraine");
        put("TZ", "Tanzania");
        put("TW", "Taiwan");
        put("TV", "Tuvalu");
        put("TT", "Trinidad and Tobago");
        put("TR", "Turkey");
        put("TP", "Timor-Leste");
        put("TO", "Tonga");
        put("TN", "Tunisia");
        put("TM", "Turkmenistan");
        put("TL", "Timor-Leste");
        put("TK", "Tokelau");
        put("TJ", "Tajikistan");
        put("TH", "Thailand");
        put("TG", "Togo");
        put("TF", "French Southern Territories");
        put("TD", "Chad");
        put("TC", "Turks and Caicos Islands");
        put("SZ", "Swaziland");
        put("SY", "Syria");
        put("SV", "El Salvador");
        put("SU", "Union of Soviet Socialist Republics");
        put("ST", "Sao Tome and Principe");
        put("SR", "Suriname");
        put("SP", "Serbia");
        put("SO", "Somalia");
        put("SN", "Senegal");
        put("SM", "San Marino");
        put("SL", "Sierra Leone");
        put("SK", "Slovakia");
        put("SJ", "Svalbard and Jan Mayen");
        put("SI", "Slovenia");
        put("SH", "Saint Helena");
        put("SG", "Singapore");
        put("SE", "Sweden");
        put("SD", "Sudan");
        put("SC", "Seychelles");
        put("SB", "Solomon Islands");
        put("SA", "Saudi Arabia");
        put("RW", "Rwanda");
        put("RU", "Russia");
        put("RO", "Romania");
        put("RH", "Zimbabwe");
        put("RE", "R\u00e9union");
        put("062", "South-central Asia");
        put("061", "Polynesia");
        put("QA", "Qatar");
        put("057", "Micronesia");
        put("054", "Melanesia");
        put("PZ", "Panama Canal Zone");
        put("053", "Australia and New Zealand");
        put("PY", "Paraguay");
        put("PW", "Palau");
        put("PU", "U.S. Miscellaneous Pacific Islands");
        put("PT", "Portugal");
        put("PS", "Palestinian Territory");
        put("PR", "Puerto Rico");
        put("PN", "Pitcairn");
        put("PM", "Saint Pierre and Miquelon");
        put("PL", "Poland");
        put("PK", "Pakistan");
        put("PH", "Philippines");
        put("PG", "Papua New Guinea");
        put("PF", "French Polynesia");
        put("PE", "Peru");
        put("PC", "Pacific Islands Trust Territory");
        put("PA", "Panama");
        put("OM", "Oman");
        put("833", "Isle of Man");
        put("830", "Channel Islands");
        put("039", "Southern Europe");
        put("035", "South-eastern Asia");
        put("NZ", "New Zealand");
        put("030", "Eastern Asia");
        put("NU", "Niue");
        put("NT", "Neutral Zone");
        put("NR", "Nauru");
        put("NQ", "Dronning Maud Land");
        put("NP", "Nepal");
        put("NO", "Norway");
        put("NL", "Netherlands");
        put("NI", "Nicaragua");
        put("NH", "Vanuatu");
        put("NG", "Nigeria");
        put("NF", "Norfolk Island");
        put("NE", "Niger");
        put("NC", "New Caledonia");
        put("NA", "Namibia");
        put("029", "Caribbean");
        put("MZ", "Mozambique");
        put("MY", "Malaysia");
        put("MX", "Mexico");
        put("021", "Northern America");
        put("MW", "Malawi");
        put("MV", "Maldives");
        put("MU", "Mauritius");
        put("MT", "Malta");
        put("MS", "Montserrat");
        put("MR", "Mauritania");
        put("MQ", "Martinique");
        put("MP", "Northern Mariana Islands");
        put("MO", "Macao S.A.R., China");
        put("MN", "Mongolia");
        put("MM", "Myanmar");
        put("ML", "Mali");
        put("MK", "Macedonia");
        put("419", "Latin America and the Caribbean");
        put("MI", "Midway Islands");
        put("MH", "Marshall Islands");
        put("MG", "Madagascar");
        put("MD", "Moldova");
        put("MC", "Monaco");
        put("MA", "Morocco");
        put("019", "Americas");
        put("018", "Southern Africa");
        put("017", "Middle Africa");
        put("015", "Northern Africa");
        put("014", "Eastern Africa");
        put("013", "Central America");
        put("LY", "Libya");
        put("011", "Western Africa");
        put("LV", "Latvia");
        put("LU", "Luxembourg");
        put("LT", "Lithuania");
        put("LS", "Lesotho");
        put("LR", "Liberia");
        put("LK", "Sri Lanka");
        put("LI", "Liechtenstein");
        put("LC", "Saint Lucia");
        put("LB", "Lebanon");
        put("LA", "Laos");
        put("009", "Oceania");
        put("005", "South America");
        put("KZ", "Kazakhstan");
        put("003", "North America");
        put("KY", "Cayman Islands");
        put("002", "Africa");
        put("001", "World");
        put("KW", "Kuwait");
        put("KR", "South Korea");
        put("KP", "North Korea");
        put("KN", "Saint Kitts and Nevis");
        put("KM", "Comoros");
        put("KI", "Kiribati");
        put("KH", "Cambodia");
        put("KG", "Kyrgyzstan");
        put("KE", "Kenya");
        put("JT", "Johnston Island");
        put("JP", "Japan");
        put("JO", "Jordan");
        put("JM", "Jamaica");
        put("IT", "Italy");
        put("IS", "Iceland");
        put("IR", "Iran");
        put("IQ", "Iraq");
        put("IO", "British Indian Ocean Territory");
        put("IN", "India");
        put("IL", "Israel");
        put("IE", "Ireland");
        put("ID", "Indonesia");
        put("HV", "Burkina Faso");
        put("HU", "Hungary");
        put("HT", "Haiti");
        put("HR", "Croatia");
        put("HN", "Honduras");
        put("HM", "Heard Island and McDonald Islands");
        put("HK", "Hong Kong S.A.R., China");
      }
  }

  private static final Object territories = new Hashtableterritories();

  private static final Object[][] contents =
  {
    { "collation_rules", collation_rules },
    { "currencyFormat", "\u00a4#,##0.00;-\u00a4#,##0.00" },
    { "shortMonths", shortMonths },
    { "months", months },
    { "shortWeekdays", shortWeekdays },
    { "weekdays", weekdays },
    { "ampms", ampms },
    { "eras", eras },
    { "shortDateFormat", "M/d/yy" },
    { "mediumDateFormat", "MMM d, yyyy" },
    { "localPatternChars", "GyMdkHmsSEDFwWahKz" },
    { "longDateFormat", "MMMM d, yyyy" },
    { "fullDateFormat", "EEEE, MMMM d, yyyy" },
    { "shortTimeFormat", "h:mm a" },
    { "mediumTimeFormat", "h:mm:ss a" },
    { "longTimeFormat", "h:mm:ss a z" },
    { "fullTimeFormat", "h:mm:ss a z" },
    { "zoneStrings", zoneStrings },
    { "decimalSeparator", "." },
    { "digit", "#" },
    { "exponential", "E" },
    { "groupingSeparator", "," },
    { "infinity", "\u221e" },
    { "NaN", "\ufffd" },
    { "minusSign", "-" },
    { "monetarySeparator", "." },
    { "patternSeparator", ";" },
    { "percent", "%" },
    { "perMill", "\u2030" },
    { "zeroDigit", "0" },
    { "numberFormat", "#,##0.###" },
    { "percentFormat", "#,##0%" },
    { "territories", territories },
  };

  public Object[][] getContents() { return contents; }
}
