/* LocaleInformation_fi.java --
   Copyright (C) 2004  Free Software Foundation, Inc.

This file is part of GNU Classpath.

GNU Classpath is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Classpath is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Classpath; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version. */


// This file was automatically generated by gnu.localegen from LDML

package gnu.java.locale;

import java.util.ListResourceBundle;

public class LocaleInformation_fi extends ListResourceBundle
{
  private static final String[] shortMonths = {
    "tammi",
    "helmi",
    "maalis",
    "huhti",
    "touko",
    "kes\u00e4",
    "hein\u00e4",
    "elo",
    "syys",
    "loka",
    "marras",
    "joulu",
    null,
  };

  private static final String[] months = {
    "tammikuu",
    "helmikuu",
    "maaliskuu",
    "huhtikuu",
    "toukokuu",
    "kes\u00e4kuu",
    "hein\u00e4kuu",
    "elokuu",
    "syyskuu",
    "lokakuu",
    "marraskuu",
    "joulukuu",
    null,
  };

  private static final String[] shortWeekdays = {
    null,
    "su",
    "ma",
    "ti",
    "ke",
    "to",
    "pe",
    "la",
  };

  private static final String[] weekdays = {
    null,
    "sunnuntai",
    "maanantai",
    "tiistai",
    "keskiviikko",
    "torstai",
    "perjantai",
    "lauantai",
  };

  private static final String[] eras = {
    "eaa.",
    "jaa.",
  };

  private static final String[] ampms = {
    "ap.",
    "ip.",
  };

  private static final String[][] zoneStrings =
  {
    { "America/Los_Angeles", "Tyynenmeren normaaliaika", "PST", "Tyynenmeren kes\u00e4aika", "PDT" },
    { "Africa/Casablanca", "Greenwichin aika", "GMT", "Greenwichin aika", "GMT" },
    { "America/New_York", "It\u00e4inen normaaliaika", "EST", "It\u00e4inen kes\u00e4aika", "EDT" },
    { "America/Anchorage", "Alaskan normaaliaika", "AST", "Alaskan kes\u00e4aika", "ADT" },
    { "Etc/GMT", "Greenwichin aika", "GMT", "Greenwichin aika", "GMT" },
    { "Asia/Shanghai", "Kiinan normaaliaika", "CTT", "Kiinan normaaliaika", "CDT" },
    { "America/Halifax", "Atlantin normaaliaika", "AST", "Atlantin kes\u00e4aika", "ADT" },
    { "Europe/Paris", "Keski-Euroopan normaaliaika", "CET", "Keski-Euroopan kes\u00e4aika", "CEST" },
    { "America/Denver", "Kalliovuorten normaaliaika", "MST", "Kalliovuorten kes\u00e4aika", "MDT" },
    { "Asia/Jerusalem", "Israelin normaaliaika", "IST", "Israelin kes\u00e4aika", "IDT" },
    { "America/St_Johns", "Newfoundlandin normaaliaika", "CNT", "Newfoundlandin kes\u00e4aika", "CDT" },
    { "Pacific/Honolulu", "Havaijin normaaliaika", "HST", "Havaijin normaaliaika", "HST" },
    { "America/Indianapolis", "It\u00e4inen normaaliaika", "EST", "It\u00e4inen normaaliaika", "EST" },
    { "America/Chicago", "Keskinen normaaliaika", "CST", "Keskinen kes\u00e4aika", "CDT" },
    { "Europe/Bucharest", "It\u00e4-Euroopan normaaliaika", "EET", "It\u00e4-Euroopan kes\u00e4aika", "EEST" },
    { "Asia/Tokyo", "Japanin normaaliaika", "JST", "Japanin normaaliaika", "JST" },
    { "America/Phoenix", "Kalliovuorten normaaliaika", "MST", "Kalliovuorten normaaliaika", "MST" },
  };

  private static final class Hashtableterritories extends java.util.Hashtable
  {
    public Hashtableterritories()
      {
        super();
        put("TL", "Timor-Leste");
        put("TK", "Tokelau");
        put("TJ", "Tad\u017eikistan");
        put("TH", "Thaimaa");
        put("TG", "Togo");
        put("TF", "Ranskan etel\u00e4iset alueet");
        put("GY", "Guyana");
        put("TD", "T\u0161ad");
        put("TC", "Turks- ja Caicossaaret");
        put("GW", "Guinea-Bissau");
        put("GU", "Guam");
        put("GT", "Guatemala");
        put("GS", "Etel\u00e4-Georgia ja Etel\u00e4iset Sandwichsaaret");
        put("GR", "Kreikka");
        put("GQ", "P\u00e4iv\u00e4ntasaajan Guinea");
        put("GP", "Guadeloupe");
        put("SZ", "Swazimaa");
        put("SY", "Syyria");
        put("GN", "Guinea");
        put("GM", "Gambia");
        put("GL", "Gr\u00f6nlanti");
        put("SV", "El Salvador");
        put("ST", "S\u00e3o Tom\u00e9 ja Pr\u00edncipe");
        put("GI", "Gibraltar");
        put("GH", "Ghana");
        put("SR", "Suriname");
        put("GF", "Ranskan Guayana");
        put("SP", "Serbia");
        put("GE", "Georgia");
        put("SO", "Somalia");
        put("GD", "Grenada");
        put("SN", "Senegal");
        put("SM", "San Marino");
        put("GB", "Iso-Britannia");
        put("SL", "Sierra Leone");
        put("GA", "Gabon");
        put("SK", "Slovakia");
        put("SJ", "Huippuvuoret ja Jan Mayen");
        put("SI", "Slovenia");
        put("SH", "Saint Helena");
        put("SG", "Singapore");
        put("SE", "Ruotsi");
        put("SD", "Sudan");
        put("SC", "Seychellit");
        put("SB", "Salomonsaaret");
        put("SA", "Saudi-Arabia");
        put("FR", "Ranska");
        put("FO", "F\u00e4rsaaret");
        put("FM", "Mikronesia");
        put("RW", "Ruanda");
        put("FK", "Falklandinsaaret");
        put("RU", "Ven\u00e4j\u00e4");
        put("FJ", "Fid\u017ei");
        put("FI", "Suomi");
        put("RO", "Romania");
        put("RE", "R\u00e9union");
        put("ET", "Etiopia");
        put("ES", "Espanja");
        put("ER", "Eritrea");
        put("EH", "L\u00e4nsi-Sahara");
        put("EG", "Egypti");
        put("EE", "Viro");
        put("EC", "Ecuador");
        put("DZ", "Algeria");
        put("QA", "Qatar");
        put("DO", "Dominikaaninen tasavalta");
        put("PY", "Paraguay");
        put("DM", "Dominica");
        put("PW", "Palau");
        put("DK", "Tanska");
        put("DJ", "Djibouti");
        put("PT", "Portugali");
        put("PS", "Palestiina");
        put("PR", "Puerto Rico");
        put("DE", "Saksa");
        put("PN", "Pitcairn");
        put("PM", "Saint-Pierre ja Miquelon");
        put("PL", "Puola");
        put("PK", "Pakistan");
        put("PH", "Filippiinit");
        put("PG", "Papua-Uusi-Guinea");
        put("PF", "Ranskan Polynesia");
        put("CZ", "T\u0161ekki");
        put("PE", "Peru");
        put("CY", "Kypros");
        put("CX", "Joulusaari");
        put("CV", "Kap Verde");
        put("PA", "Panama");
        put("CU", "Kuuba");
        put("CR", "Costa Rica");
        put("CO", "Kolumbia");
        put("CN", "Kiina");
        put("CM", "Kamerun");
        put("CL", "Chile");
        put("CK", "Cookinsaaret");
        put("CI", "Norsunluurannikko");
        put("CH", "Sveitsi");
        put("CG", "Kongo");
        put("CF", "Keski-Afrikan tasavalta");
        put("CD", "Kongon demokraattinen tasavalta");
        put("CC", "Kookossaaret");
        put("OM", "Oman");
        put("CA", "Kanada");
        put("BZ", "Belize");
        put("BY", "Valko-Ven\u00e4j\u00e4");
        put("BW", "Botswana");
        put("BV", "Bouvet\u2019nsaari");
        put("BT", "Bhutan");
        put("BS", "Bahama");
        put("BR", "Brasilia");
        put("NZ", "Uusi-Seelanti");
        put("BO", "Bolivia");
        put("BN", "Brunei");
        put("BM", "Bermuda");
        put("NU", "Niue");
        put("BJ", "Benin");
        put("BI", "Burundi");
        put("BH", "Bahrain");
        put("NR", "Nauru");
        put("BG", "Bulgaria");
        put("BF", "Burkina Faso");
        put("NP", "Nepal");
        put("BE", "Belgia");
        put("NO", "Norja");
        put("BD", "Bangladesh");
        put("BB", "Barbados");
        put("ZW", "Zimbabwe");
        put("NL", "Alankomaat");
        put("BA", "Bosnia ja Hertsegovina");
        put("NI", "Nicaragua");
        put("NG", "Nigeria");
        put("NF", "Norfolkinsaari");
        put("AZ", "Azerbaid\u017ean");
        put("NE", "Niger");
        put("NC", "Uusi-Kaledonia");
        put("AW", "Aruba");
        put("ZM", "Sambia");
        put("NA", "Namibia");
        put("AU", "Australia");
        put("AT", "It\u00e4valta");
        put("AS", "Amerikan Samoa");
        put("AR", "Argentiina");
        put("AQ", "Antarktis");
        put("MZ", "Mosambik");
        put("AO", "Angola");
        put("MY", "Malesia");
        put("AN", "Alankomaiden Antillit");
        put("MX", "Meksiko");
        put("AM", "Armenia");
        put("MW", "Malawi");
        put("AL", "Albania");
        put("MV", "Malediivit");
        put("ZA", "Etel\u00e4-Afrikka");
        put("MU", "Mauritius");
        put("MT", "Malta");
        put("AI", "Anguilla");
        put("MS", "Montserrat");
        put("MR", "Mauritania");
        put("AG", "Antigua ja Barbuda");
        put("MQ", "Martinique");
        put("AF", "Afganistan");
        put("MP", "Pohjois-Mariaanit");
        put("AE", "Arabiemiirikunnat");
        put("MO", "Macaon erityishallintoalue");
        put("AD", "Andorra");
        put("MN", "Mongolia");
        put("MM", "Myanmar");
        put("ML", "Mali");
        put("MK", "Makedonia");
        put("YU", "Jugoslavia");
        put("YT", "Mayotte");
        put("MH", "Marshallinsaaret");
        put("MG", "Madagaskar");
        put("MD", "Moldova");
        put("MC", "Monaco");
        put("MA", "Marokko");
        put("YE", "Jemen");
        put("LY", "Libya");
        put("LV", "Latvia");
        put("LU", "Luxemburg");
        put("LT", "Liettua");
        put("LS", "Lesotho");
        put("LR", "Liberia");
        put("LK", "Sri Lanka");
        put("LI", "Liechtenstein");
        put("LC", "Saint Lucia");
        put("LB", "Libanon");
        put("LA", "Laos");
        put("KZ", "Kazakstan");
        put("KY", "Caymansaaret");
        put("KW", "Kuwait");
        put("KR", "Korean tasavalta");
        put("KP", "Pohjois-Korea");
        put("KN", "Saint Kitts ja Nevis");
        put("KM", "Komorit");
        put("KI", "Kiribati");
        put("WS", "Samoa");
        put("KH", "Kambod\u017ea");
        put("KG", "Kirgisia");
        put("KE", "Kenia");
        put("WF", "Wallis ja Futuna");
        put("JP", "Japani");
        put("JO", "Jordania");
        put("JM", "Jamaika");
        put("VU", "Vanuatu");
        put("VN", "Vietnam");
        put("VI", "Yhdysvaltain Neitsytsaaret");
        put("VG", "Brittil\u00e4iset Neitsytsaaret");
        put("VE", "Venezuela");
        put("VC", "Saint Vincent ja Grenadiinit");
        put("VA", "Vatikaani");
        put("IT", "Italia");
        put("IS", "Islanti");
        put("IR", "Iran");
        put("IQ", "Irak");
        put("UZ", "Uzbekistan");
        put("IO", "Brittil\u00e4inen Intian valtameren alue");
        put("UY", "Uruguay");
        put("IN", "Intia");
        put("IL", "Israel");
        put("US", "Yhdysvallat");
        put("IE", "Irlanti");
        put("ID", "Indonesia");
        put("UM", "Yhdysvaltain pienet erillissaaret");
        put("UG", "Uganda");
        put("UA", "Ukraina");
        put("HU", "Unkari");
        put("HT", "Haiti");
        put("HR", "Kroatia");
        put("TZ", "Tansania");
        put("HN", "Honduras");
        put("HM", "Heard ja McDonaldinsaaret");
        put("TW", "Taiwan");
        put("TV", "Tuvalu");
        put("HK", "Hongkongin erityishallintoalue");
        put("TT", "Trinidad ja Tobago");
        put("TR", "Turkki");
        put("TO", "Tonga");
        put("TN", "Tunisia");
        put("TM", "Turkmenistan");
      }
  }

  private static final Object territories = new Hashtableterritories();

  private static final Object[][] contents =
  {
    { "decimalSeparator", "," },
    { "groupingSeparator", "\u00a0" },
    { "shortMonths", shortMonths },
    { "months", months },
    { "shortWeekdays", shortWeekdays },
    { "weekdays", weekdays },
    { "eras", eras },
    { "ampms", ampms },
    { "shortDateFormat", "d.M.yyyy" },
    { "mediumDateFormat", "d.M.yyyy" },
    { "longDateFormat", "d. MMMM'ta 'yyyy" },
    { "fullDateFormat", "d. MMMM'ta 'yyyy" },
    { "shortTimeFormat", "H.mm" },
    { "mediumTimeFormat", "H.mm.ss" },
    { "longTimeFormat", "H.mm.ss z" },
    { "fullTimeFormat", "H.mm.ss z" },
    { "zoneStrings", zoneStrings },
    { "territories", territories },
  };

  public Object[][] getContents() { return contents; }
}
