/* LocaleInformation_sv.java --
   Copyright (C) 2004  Free Software Foundation, Inc.

This file is part of GNU Classpath.

GNU Classpath is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU Classpath is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Classpath; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version. */


// This file was automatically generated by gnu.localegen from LDML

package gnu.java.locale;

import java.util.ListResourceBundle;

public class LocaleInformation_sv extends ListResourceBundle
{
  private static final String[] shortMonths = {
    "jan",
    "feb",
    "mar",
    "apr",
    "maj",
    "jun",
    "jul",
    "aug",
    "sep",
    "okt",
    "nov",
    "dec",
    null,
  };

  private static final String[] months = {
    "januari",
    "februari",
    "mars",
    "april",
    "maj",
    "juni",
    "juli",
    "augusti",
    "september",
    "oktober",
    "november",
    "december",
    null,
  };

  private static final String[] shortWeekdays = {
    null,
    "s\u00f6",
    "m\u00e5",
    "ti",
    "on",
    "to",
    "fr",
    "l\u00f6",
  };

  private static final String[] weekdays = {
    null,
    "s\u00f6ndag",
    "m\u00e5ndag",
    "tisdag",
    "onsdag",
    "torsdag",
    "fredag",
    "l\u00f6rdag",
  };

  private static final String[] eras = {
    "f.Kr.",
    "e.Kr.",
  };

  private static final String[] ampms = {
    "f.m.",
    "e.m.",
  };

  private static final String[][] zoneStrings =
  {
    { "America/Los_Angeles", "Pacific, normaltid", "PST", "Pacific, sommartid", "PDT" },
    { "Africa/Casablanca", "Greenwichtid", "GMT", "Greenwichtid", "GMT" },
    { "America/New_York", "Eastern, normaltid", "EST", "Eastern, sommartid", "EDT" },
    { "America/Anchorage", "Alaska, normaltid", "AST", "Alaska, sommartid", "ADT" },
    { "Etc/GMT", "Greenwichtid", "GMT", "Greenwichtid", "GMT" },
    { "Asia/Shanghai", "Kina, normaltid", "CTT", "Kina, normaltid", "CDT" },
    { "America/Halifax", "Atlantic, normaltid", "AST", "Atlantic, sommartid", "ADT" },
    { "Europe/Paris", "Centraleuropa, normaltid", "CET", "Centraleuropa, sommartid", "CEST" },
    { "America/Denver", "Mountain, normaltid", "MST", "Mountain, sommartid", "MDT" },
    { "Asia/Jerusalem", "Israel, normaltid", "IST", "Israel, sommartid", "IDT" },
    { "America/St_Johns", "Newfoundland, normaltid", "CNT", "Newfoundland, sommartid", "CDT" },
    { "Pacific/Honolulu", "Hawaii, normaltid", "HST", "Hawaii, normaltid", "HST" },
    { "America/Indianapolis", "Eastern, normaltid", "EST", "Eastern, normaltid", "EST" },
    { "America/Chicago", "Central, normaltid", "CST", "Central, sommartid", "CDT" },
    { "Europe/Bucharest", "\u00d6steuropa, normaltid", "EET", "\u00d6steuropa, sommartid", "EEST" },
    { "Asia/Tokyo", "Japan, normaltid", "JST", "Japan, normaltid", "JST" },
    { "America/Phoenix", "Mountain, normaltid", "MST", "Mountain, sommartid", "MST" },
  };

  private static final class Hashtableterritories extends java.util.Hashtable
  {
    public Hashtableterritories()
      {
        super();
        put("TL", "\u00d6sttimor");
        put("TK", "Tokelau\u00f6arna");
        put("TJ", "Tadzjikistan");
        put("TH", "Thailand");
        put("TG", "Togo");
        put("TF", "Franska Sydterritorierna");
        put("GY", "Guyana");
        put("TD", "Tchad");
        put("TC", "Turks- och Caicos\u00f6arna");
        put("GW", "Guinea-Bissau");
        put("GU", "Guam");
        put("GT", "Guatemala");
        put("GS", "Sydgeorgien och S\u00f6dra Sandwich\u00f6arna");
        put("GR", "Grekland");
        put("GQ", "Ekvatorialguinea");
        put("GP", "Guadeloupe");
        put("SZ", "Swaziland");
        put("SY", "Syrien");
        put("GN", "Guinea");
        put("GM", "Gambia");
        put("GL", "Gr\u00f6nland");
        put("SV", "El Salvador");
        put("ST", "S\u00e3o Tom\u00e9 och Pr\u00edncipe");
        put("GI", "Gibraltar");
        put("GH", "Ghana");
        put("SR", "Surinam");
        put("GF", "Franska Guyana");
        put("SP", "Serbien");
        put("GE", "Georgien");
        put("SO", "Somalia");
        put("GD", "Grenada");
        put("SN", "Senegal");
        put("SM", "San Marino");
        put("GB", "Storbritannien");
        put("SL", "Sierra Leone");
        put("GA", "Gabon");
        put("SK", "Slovakien");
        put("SJ", "Svalbard och Jan Mayen");
        put("SI", "Slovenien");
        put("SH", "S:t Helena");
        put("SG", "Singapore");
        put("SE", "Sverige");
        put("SD", "Sudan");
        put("SC", "Seychellerna");
        put("SB", "Salomon\u00f6arna");
        put("SA", "Saudiarabien");
        put("FR", "Frankrike");
        put("FO", "F\u00e4r\u00f6arna");
        put("FM", "Mikronesien");
        put("RW", "Rwanda");
        put("FK", "Falklands\u00f6arna");
        put("RU", "Ryssland");
        put("FJ", "Fiji");
        put("FI", "Finland");
        put("RO", "Rum\u00e4nien");
        put("RE", "R\u00e9union");
        put("ET", "Etiopien");
        put("ES", "Spanien");
        put("ER", "Eritrea");
        put("EH", "V\u00e4stra Sahara");
        put("EG", "Egypten");
        put("EE", "Estland");
        put("EC", "Ecuador");
        put("DZ", "Algeriet");
        put("QA", "Qatar");
        put("DO", "Dominikanska republiken");
        put("PY", "Paraguay");
        put("DM", "Dominica");
        put("PW", "Palau");
        put("DK", "Danmark");
        put("DJ", "Djibouti");
        put("PT", "Portugal");
        put("PS", "Palestinska territoriet");
        put("PR", "Puerto Rico");
        put("DE", "Tyskland");
        put("PN", "Pitcairn");
        put("PM", "S:t Pierre och Miquelon");
        put("PL", "Polen");
        put("PK", "Pakistan");
        put("PH", "Filippinerna");
        put("PG", "Papua Nya Guinea");
        put("PF", "Franska Polynesien");
        put("CZ", "Tjeckien");
        put("PE", "Peru");
        put("CY", "Cypern");
        put("CX", "Jul\u00f6n");
        put("CV", "Kap Verde");
        put("PA", "Panama");
        put("CU", "Kuba");
        put("CR", "Costa Rica");
        put("CO", "Colombia");
        put("CN", "Kina");
        put("CM", "Kamerun");
        put("CL", "Chile");
        put("CK", "Cook\u00f6arna");
        put("CI", "Elfenbenskusten");
        put("CH", "Schweiz");
        put("CG", "Kongo-Brazzaville");
        put("CF", "Centralafrikanska republiken");
        put("CD", "Kongo-Kinshasa");
        put("CC", "Kokos\u00f6arna (Keeling\u00f6arna)");
        put("OM", "Oman");
        put("CA", "Kanada");
        put("BZ", "Belize");
        put("BY", "Vitryssland");
        put("BW", "Botswana");
        put("BV", "Bouvet\u00f6n");
        put("BT", "Bhutan");
        put("BS", "Bahamas");
        put("BR", "Brasilien");
        put("NZ", "Nya Zeeland");
        put("BO", "Bolivia");
        put("BN", "Brunei");
        put("BM", "Bermuda");
        put("NU", "Niue\u00f6n");
        put("BJ", "Benin");
        put("BI", "Burundi");
        put("BH", "Bahrain");
        put("NR", "Nauru");
        put("BG", "Bulgarien");
        put("BF", "Burkina Faso");
        put("NP", "Nepal");
        put("BE", "Belgien");
        put("NO", "Norge");
        put("BD", "Bangladesh");
        put("BB", "Barbados");
        put("ZW", "Zimbabwe");
        put("NL", "Nederl\u00e4nderna");
        put("BA", "Bosnien och Hercegovina");
        put("NI", "Nicaragua");
        put("NG", "Nigeria");
        put("NF", "Norfolk\u00f6n");
        put("AZ", "Azerbajdzjan");
        put("NE", "Niger");
        put("NC", "Nya Kaledonien");
        put("AW", "Aruba");
        put("ZM", "Zambia");
        put("NA", "Namibia");
        put("AU", "Australien");
        put("AT", "\u00d6sterrike");
        put("AS", "Amerikanska Samoa");
        put("AR", "Argentina");
        put("AQ", "Antarktis");
        put("MZ", "Mo\u00e7ambique");
        put("AO", "Angola");
        put("MY", "Malaysia");
        put("AN", "Nederl\u00e4ndska Antillerna");
        put("MX", "Mexiko");
        put("AM", "Armenien");
        put("MW", "Malawi");
        put("AL", "Albanien");
        put("MV", "Maldiverna");
        put("ZA", "Sydafrika");
        put("MU", "Mauritius");
        put("MT", "Malta");
        put("AI", "Anguilla");
        put("MS", "Montserrat");
        put("MR", "Mauretanien");
        put("AG", "Antigua och Barbuda");
        put("MQ", "Martinique");
        put("AF", "Afghanistan");
        put("MP", "Nordmarianerna");
        put("AE", "F\u00f6renade Arabemiraten");
        put("MO", "Macao (S.A.R. Kina)");
        put("AD", "Andorra");
        put("MN", "Mongoliet");
        put("MM", "Myanmar");
        put("ML", "Mali");
        put("MK", "Makedonien");
        put("YU", "Jugoslavien");
        put("YT", "Mayotte");
        put("MH", "Marshall\u00f6arna");
        put("MG", "Madagaskar");
        put("MD", "Moldavien");
        put("MC", "Monaco");
        put("MA", "Marocko");
        put("YE", "Jemen");
        put("LY", "Libyen");
        put("LV", "Lettland");
        put("LU", "Luxemburg");
        put("LT", "Litauen");
        put("LS", "Lesotho");
        put("LR", "Liberia");
        put("LK", "Sri Lanka");
        put("LI", "Liechtenstein");
        put("LC", "S:t Lucia");
        put("LB", "Libanon");
        put("LA", "Laos");
        put("KZ", "Kazakstan");
        put("KY", "Cayman\u00f6arna");
        put("KW", "Kuwait");
        put("KR", "Sydkorea");
        put("KP", "Nordkorea");
        put("KN", "S:t Kitts och Nevis");
        put("KM", "Komorerna");
        put("KI", "Kiribati");
        put("WS", "Samoa");
        put("KH", "Kambodja");
        put("KG", "Kirgizistan");
        put("KE", "Kenya");
        put("WF", "Wallis- och Futuna\u00f6arna");
        put("JP", "Japan");
        put("JO", "Jordanien");
        put("JM", "Jamaica");
        put("VU", "Vanuatu");
        put("VN", "Vietnam");
        put("VI", "Amerikanska Jungfru\u00f6arna");
        put("VG", "Brittiska Jungfru\u00f6arna");
        put("VE", "Venezuela");
        put("VC", "S:t Vincent och Grenadinerna");
        put("VA", "Vatikanstaten");
        put("IT", "Italien");
        put("IS", "Island");
        put("IR", "Iran");
        put("IQ", "Irak");
        put("UZ", "Uzbekistan");
        put("IO", "Brittiska Indiska ocean\u00f6arna");
        put("UY", "Uruguay");
        put("IN", "Indien");
        put("IL", "Israel");
        put("US", "USA");
        put("IE", "Irland");
        put("ID", "Indonesien");
        put("UM", "USAs yttre \u00f6ar");
        put("UG", "Uganda");
        put("UA", "Ukraina");
        put("HU", "Ungern");
        put("HT", "Haiti");
        put("HR", "Kroatien");
        put("TZ", "Tanzania");
        put("HN", "Honduras");
        put("HM", "Heard- och McDonald\u00f6arna");
        put("TW", "Taiwan");
        put("TV", "Tuvalu");
        put("HK", "Hongkong (S.A.R. Kina)");
        put("TT", "Trinidad och Tobago");
        put("TR", "Turkiet");
        put("TO", "Tonga");
        put("TN", "Tunisien");
        put("TM", "Turkmenistan");
      }
  }

  private static final Object territories = new Hashtableterritories();

  private static final Object[][] contents =
  {
    { "decimalSeparator", "," },
    { "groupingSeparator", "\u00a0" },
    { "shortMonths", shortMonths },
    { "months", months },
    { "shortWeekdays", shortWeekdays },
    { "weekdays", weekdays },
    { "eras", eras },
    { "ampms", ampms },
    { "shortDateFormat", "yyyy-MM-dd" },
    { "mediumDateFormat", "yyyy-MM-dd" },
    { "longDateFormat", "'den 'd MMM yyyy" },
    { "fullDateFormat", "'den 'd MMMM yyyy" },
    { "shortTimeFormat", "HH.mm" },
    { "mediumTimeFormat", "HH.mm.ss" },
    { "longTimeFormat", "HH.mm.ss z" },
    { "fullTimeFormat", "'kl. 'HH.mm.ss z" },
    { "zoneStrings", zoneStrings },
    { "territories", territories },
  };

  public Object[][] getContents() { return contents; }
}
